bugzilla.mozilla.org has resumed normal operation. Attachments prior to 2014 will be unavailable for a few days. This is tracked in Bug 1475801.
Please report any other irregularities here.

Intermittent browser_contextmenu.js | Test timed out | Found a tab after previous test timed out: subtst_contextmenu.html -

RESOLVED FIXED in Firefox 55

Status

()

Firefox
Menus
P3
normal
RESOLVED FIXED
2 years ago
a year ago

People

(Reporter: KWierso, Assigned: ralin)

Tracking

({intermittent-failure})

49 Branch
Firefox 55
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox49 affected, firefox55 fixed)

Details

(Whiteboard: [stockwell fixed])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

Comment 1

2 years ago
29 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 18
* mozilla-central: 5
* fx-team: 3
* mozilla-aurora: 2
* mozilla-beta: 1

Platform breakdown:
* osx-10-10: 26
* windowsxp: 1
* windows7-32: 1
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1270983&startday=2016-05-10&endday=2016-05-16&tree=all

Comment 2

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 3
* fx-team: 2
* autoland: 2

Platform breakdown:
* windows7-32-vm: 3
* windows8-64: 2
* windows7-32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1270983&startday=2016-07-11&endday=2016-07-17&tree=all

Comment 3

2 years ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3

Comment 4

a year ago
14 failures in 790 pushes (0.018 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 5
* autoland: 5
* mozilla-central: 3
* oak: 1

Platform breakdown:
* windows7-32: 11
* osx-10-10: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1270983&startday=2017-03-06&endday=2017-03-12&tree=all

Comment 5

a year ago
7 failures in 777 pushes (0.009 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 5
* autoland: 2

Platform breakdown:
* windows7-32: 6
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1270983&startday=2017-03-13&endday=2017-03-19&tree=all

Comment 6

a year ago
12 failures in 898 pushes (0.013 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 5
* mozilla-inbound: 4
* try: 3

Platform breakdown:
* windows7-32: 9
* osx-10-10: 2
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1270983&startday=2017-03-20&endday=2017-03-26&tree=all

Comment 7

a year ago
13 failures in 845 pushes (0.015 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 6
* autoland: 4
* mozilla-inbound: 3

Platform breakdown:
* windows7-32: 11
* windows8-64: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1270983&startday=2017-03-27&endday=2017-04-02&tree=all

Comment 8

a year ago
15 failures in 867 pushes (0.017 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 7
* mozilla-inbound: 5
* mozilla-central: 2
* try: 1

Platform breakdown:
* windows7-32: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1270983&startday=2017-04-03&endday=2017-04-09&tree=all
this really picked up in the last few days around April 8th.  I tried some retriggers without getting anything conclusive.  This test is timing out and normally runs in ~10seconds, we just time out at 90 seconds.  


here is a clip from a log [0]:
08:13:16     INFO - TEST-INFO | started process screenshot
08:13:17     INFO - TEST-INFO | screenshot: exit 0
08:13:17     INFO - Buffered messages logged at 08:11:46
08:13:17     INFO - Entering test bound test_xul_text_link_label
08:13:17     INFO - Buffered messages logged at 08:11:47
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking if popup is closed - 
08:13:17     INFO - Moved focus to #test-xul-text-link-label
08:13:17     INFO - Popup Shown
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking if popup is open - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | child menuitem #9 has an ID - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-openlinkintab has a label - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-openlinkintab has an access key - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | child menu #10 has an ID - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menu has an access key - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | child menuitem #11 has an ID - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-openlink has a label - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-openlink has an access key - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | child menuitem #12 has an ID - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-openlinkprivate has a label - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-openlinkprivate has an access key - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | --- seperator id is context-sep-open - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | child menuitem #14 has an ID - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-bookmarklink has a label - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-bookmarklink has an access key - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | child menuitem #16 has an ID - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-savelink has a label - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-savelink has an access key - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | child menuitem #17 has an ID - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-savelinktopocket has a label - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | child menuitem #19 has an ID - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-copylink has a label - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-copylink has an access key - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | child menuitem #73 has an ID - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-searchselect has a label - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-searchselect has an access key - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | --- seperator id is inspect-separator - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | child menuitem #94 has an ID - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-inspect has a label - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | menuitem context-inspect has an access key - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #0 (context-openlinkintab) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #0 (context-openlinkintab) enabled state - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #1 (context-openlinkinusercontext-menu) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #1 (context-openlinkinusercontext-menu) enabled state - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #2 () name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #3 (context-openlink) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #3 (context-openlink) enabled state - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #4 (context-openlinkprivate) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #4 (context-openlinkprivate) enabled state - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #5 (---) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #6 (context-bookmarklink) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #6 (context-bookmarklink) enabled state - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #7 (context-savelink) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #7 (context-savelink) enabled state - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #8 (context-savelinktopocket) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #8 (context-savelinktopocket) enabled state - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #9 (context-copylink) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #9 (context-copylink) enabled state - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #10 (context-searchselect) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #10 (context-searchselect) enabled state - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #11 (---) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #12 (context-inspect) name - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking item #12 (context-inspect) enabled state - 
08:13:17     INFO - TEST-PASS | browser/base/content/test/general/browser_contextmenu.js | checking expected number of menu entries - 
08:13:17     INFO - Leaving test bound test_xul_text_link_label
08:13:17     INFO - Entering test bound test_setup_html
08:13:17     INFO - Buffered messages logged at 08:11:48
08:13:17     INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://example.com/browser/browser/base/content/test/general/subtst_contextmenu.html" line: 0}]
08:13:17     INFO - Console message: [JavaScript Warning: "Specified “type” attribute of “video/durrrr;” is not supported. Load of media resource bogus.duh failed." {file: "http://example.com/browser/browser/base/content/test/general/subtst_contextmenu.html" line: 0}]
08:13:17     INFO - Console message: [JavaScript Warning: "Password fields present on an insecure (http://) page. This is a security risk that allows user login credentials to be stolen." {file: "http://example.com/browser/browser/base/content/test/general/subtst_contextmenu.html" line: 0 column: 0 source: "0"}]
08:13:17     INFO - Console message: [JavaScript Warning: "All candidate resources failed to load. Media load paused." {file: "http://example.com/browser/browser/base/content/test/general/subtst_contextmenu.html" line: 0}]
08:13:17     INFO - Console message: [JavaScript Warning: "Cannot play media. No decoders for requested formats: video/durrrr;" {file: "http://example.com/browser/browser/base/content/test/general/subtst_contextmenu.html" line: 0}]
08:13:17     INFO - Buffered messages logged at 08:11:49
08:13:17     INFO - Console message: [JavaScript Warning: "HTTP load failed with status 404. Load of media resource http://example.com/browser/browser/base/content/test/general/bogus.duh failed." {file: "http://example.com/browser/browser/base/content/test/general/subtst_contextmenu.html" line: 0}]
08:13:17     INFO - Buffered messages finished
08:13:17     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_contextmenu.js | Test timed out - 
08:13:17     INFO - GECKO(1476) | MEMORY STAT | vsize 741MB | vsizeMaxContiguous 452MB | residentFast 227MB | heapAllocated 90MB
08:13:17     INFO - TEST-OK | browser/base/content/test/general/browser_contextmenu.js | took 90235ms
08:13:17     INFO - Not taking screenshot here: see the one that was previously logged
08:13:17     INFO - TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_contextmenu.js | Found a tab after previous test timed out: http://example.com/browser/browser/base/content/test/general/subtst_contextmenu.html - 


I think we are failing to complete a call to checkContextMenu:
https://dxr.mozilla.org/mozilla-central/source/browser/base/content/test/general/contextmenu_common.js#318

:jaws, I see you wrote this test originally as well as did many modifications to it- would you be able to help debug this or find someone to debug it over the next week or two?

[0] https://archive.mozilla.org/pub/firefox/tinderbox-builds/autoland-win32-debug/1491614061/autoland_win7_ix-debug_test-mochitest-clipboard-bm127-tests1-windows-build617.txt.gz
Flags: needinfo?(jaws)
Whiteboard: [stockwell needswork]
The test times out after entering test_setup_html, which among other things sets up media documents. Forwarding needinfo to Ray Lin as he has been working on some video control changes which might have caused this.
Flags: needinfo?(jaws) → needinfo?(ralin)
(Assignee)

Comment 11

a year ago
The rate appeared to hike in early March[0], but I don't see patch about video controls that might affect performance was landed around that time. 

Given that:
1. This test is timing out and normally runs in ~10seconds, we just time out at 90 seconds. (mentioned in comment 9)
2. failure mostly happened in Debug build [0]

I suspect that the test stop around[1] as no "pause" event is received. It looks like the autoplay video in iframe might hasn't started yet, so video.pause() would not dispatch the event[2] at that point due to video is still in paused state.



[0] https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1270983&startday=2017-02-01&endday=2017-04-14&tree=all
[1] https://dxr.mozilla.org/mozilla-central/rev/f40e24f40b4c4556944c762d4764eace261297f5/browser/base/content/test/general/browser_contextmenu.js#61-63
[2] https://dxr.mozilla.org/mozilla-central/rev/f40e24f40b4c4556944c762d4764eace261297f5/dom/html/HTMLMediaElement.cpp#2839,2849-2853
(Assignee)

Comment 12

a year ago
Jared, do you think it make sense that `ContentTaskUtils.waitForEvent(video, "pause");` causing this timeout? If so, I guess something more related to media playback might break this.

Thanks :)
Flags: needinfo?(ralin) → needinfo?(jaws)
38 failures in 894 pushes (0.043 failures/push) were associated with this bug in the last 7 days. 

This is the #43 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* mozilla-inbound: 13
* autoland: 13
* mozilla-central: 6
* try: 5
* oak: 1

Platform breakdown:
* windows7-32: 37
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1270983&startday=2017-04-10&endday=2017-04-16&tree=all
Hm, that is interesting. On the test, could you add
`yield ContentTaskUtils.waitForCondition(!video.paused, "Waiting for video to being playing");`
before line 61?
Flags: needinfo?(jaws)
(Assignee)

Updated

a year ago
Assignee: nobody → ralin
Status: NEW → ASSIGNED
Comment hidden (mozreview-request)
(Assignee)

Comment 16

a year ago
Besides line 61, I added this similarly for audio in line 68 in case the same problem.

Thank you.

Comment 17

a year ago
mozreview-review
Comment on attachment 8859001 [details]
Bug 1270983 - Wait for media to being playing before pause check to avoid timeout.

https://reviewboard.mozilla.org/r/131016/#review133586

r=me with the change to the messages.

::: browser/base/content/test/general/browser_contextmenu.js:62
(Diff revision 1)
>    yield ContentTask.spawn(gBrowser.selectedBrowser, null, function*() {
>      let doc = content.document;
>      let videoIframe = doc.querySelector("#test-video-in-iframe");
>      let video = videoIframe.contentDocument.querySelector("video");
>      let awaitPause = ContentTaskUtils.waitForEvent(video, "pause");
> +    yield ContentTaskUtils.waitForCondition(() => !video.paused, "Waiting for video to being playing");

"Making sure video is playing before calling pause"

::: browser/base/content/test/general/browser_contextmenu.js:70
(Diff revision 1)
>  
>      let audioIframe = doc.querySelector("#test-audio-in-iframe");
>      // media documents always use a <video> tag.
>      let audio = audioIframe.contentDocument.querySelector("video");
>      awaitPause = ContentTaskUtils.waitForEvent(audio, "pause");
> +    yield ContentTaskUtils.waitForCondition(() => !audio.paused, "Waiting for audio to being playing");

"Making sure audio is playing before calling pause"
Attachment #8859001 - Flags: review?(jaws) → review+
Comment hidden (mozreview-request)
(Assignee)

Comment 19

a year ago
updated, thanks.
Keywords: checkin-needed

Comment 20

a year ago
Pushed by ihsiao@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/5212ccf38af4
Wait for media to being playing before pause check to avoid timeout. r=jaws
Keywords: checkin-needed

Comment 21

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/5212ccf38af4
Status: ASSIGNED → RESOLVED
Last Resolved: a year ago
status-firefox55: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 55
Whiteboard: [stockwell needswork] → [stockwell fixed]
7 failures in 817 pushes (0.009 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 2
* mozilla-central: 2
* autoland: 2
* try: 1

Platform breakdown:
* windows7-32: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1270983&startday=2017-04-17&endday=2017-04-23&tree=all
Depends on: 1357519
1 failures in 720 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1

Platform breakdown:
* osx-cross: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1270983&startday=2017-07-10&endday=2017-07-16&tree=all
You need to log in before you can comment on or make changes to this bug.